import request from '@/utils/request';

/**
 * 列表
 */
export async function getList (data) {
  const res = await request.post('/aps/productionplan/page', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 保存
 */
export async function save (data) {
  const res = await request.post('/aps/productionplan/save', data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 基本信息
 */
export async function getById (id) {
  const res = await request.get(`/aps/productionplan/getById/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 发布信息返显
 */
export async function getReleaseInfoById (id) {
  const res = await request.get(`/aps/productionplan/getReleaseInfoById/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 详情
 */
export async function getProductPlanDetail (id) {
  const res = await request.get(
    `/aps/productionplan/getProductPlanDetail/${id}`
  );
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 根据计划id获取物料信息
 */
export async function getMaterialinfo (planId) {
  const res = await request.get(`/aps/materialinfo/getByPlanId/${planId}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 删除
 */
export async function del (id) {
  const res = await request.delete(`/aps/productionplan/delete/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 拆分
export async function splitWork (params) {
  const res = await request.post(`/aps/productionplan/splitBatch`, params);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}


// 计划合批
export async function mergeBatch (params) {
  const res = await request.post(`/aps/productionplan/mergeBatch`, params);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 修改优先级
export async function updatePriority(data) {
  const res = await request.post(`/aps/productionplan/updatePriority`,  data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 生产详情列表
 */
 export async function queryTaskDetail (data) {
  const res = await request.get('/aps/quality_details_work_order/queryPlanId/'+data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
